MongoGridFS::put
MongoGridFS::storeBytes
MongoGridFS
PHP Manual

# MongoGridFS::remove

Removes files from the collections

### Description

public bool MongoGridFS::remove ([ array `$criteria` = array() [, array `$options` = array() ]] )

### Parameters

`query`

  The filename or criteria for which to search.

`options`

  Options for the remove. Valid options are:

  - "w"

    See WriteConcerns. The default value for MongoClient is 1.

### Return Values

Returns if the removal was successfully sent to the database.